> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Preference

> Retrieves the current system and configuration preferences for the authenticated organisation/tenant.

Retrieves the global settings and configurations applied to the current organisation/tenant. This includes business rules, feature toggles, and system defaults.

## Request Headers

This endpoint does NOT requires an **Access Token** for authorization, and relies on the organization domain provided by that url.

<ParamField header="platform" type="string" required default="fincode">
  Platform identifier. Use `fincode`.
</ParamField>

<ParamField header="uuid" type="string" required default="200">
  Unique request identifier.
</ParamField>

## Code Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl --location '[https://remitjunction.fincode.software/api/v6/services/admin/organisation-preference-management/fetch-organisaction-preference](https://remitjunction.fincode.software/api/v6/services/admin/organisation-preference-management/fetch-organisaction-preference)' \
  --header 'X-Auth-Token: YOUR_JWT_ACCESS_TOKEN' \
  --header 'platform: fincode' \
  --header 'uuid: 200'
  ```

  ```javascript Node.js theme={null}
  const axios = require('axios');

  const BASE_URL =
    'https://remitjunction.fincode.software/api/v6/services/admin/organisation-preference-management';

  async function fetchOrganisationPreference(accessToken) {
    try {
      const response = await axios.get(
        `${BASE_URL}/fetch-organisaction-preference`,
        {
          headers: {
            'X-Auth-Token': accessToken,
            platform: 'fincode',
            uuid: '200',
          },
        }
      );

      console.log('Preferences fetched successfully!');
      console.log('Max Limit:', response.data.preferences.MAX_TRANSACTION_LIMIT);
      return response.data;
    } catch (error) {
      console.error(
        'Failed to fetch preferences:',
        error.response?.data || error.message
      );
      throw error;
    }
  }

  // Usage Example
  const accessToken = 'YOUR_JWT_ACCESS_TOKEN';
  fetchOrganisationPreference(accessToken);
  ```
</CodeGroup>


## OpenAPI

````yaml GET /admin/organisation-preference-management/fetch-organisaction-preference
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /admin/organisation-preference-management/fetch-organisaction-preference:
    get:
      summary: Fetch Organisation Preference
      description: Fetches organisation preferences.
      operationId: fetchOrganisationPreference
      parameters:
        - $ref: '#/components/parameters/platformHeader'
        - $ref: '#/components/parameters/uuidHeader'
        - in: header
          name: X-Auth-Token
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Preferences fetched
components:
  parameters:
    platformHeader:
      in: header
      name: platform
      schema:
        type: string
        default: fincode
      required: true
    uuidHeader:
      in: header
      name: uuid
      schema:
        type: string
        default: '200'
      required: true

````